package edu.sc.seis.gee.configurator;

import org.xml.sax.SAXException;

/**
 * InactiveTaskHandler.java
 *
 *
 * Created: Mon Feb 18 11:57:19 2002
 *
 * @author <a href="mailto:crotwell@pooh">Philip Crotwell</a>
 * @version
 */

public class InactiveTaskHandler  extends AbstractHandler {
    public InactiveTaskHandler (org.xml.sax.XMLReader parser, 
			       AbstractHandler parent){
	super(parser, parent);
    }
    
    public void characters(char[] ch,
			   int start,
			   int length)
	throws SAXException {
	taskid +=  new String(ch, start, length);
    }
    public String getTaskId() throws ConfigurationException {
	if (taskid.length() != 0) {
	    return taskid;
	}
	throw new ConfigurationException("Can't find task "+taskid);
    }

    String taskid = "";

}// InactiveTaskHandler
